<?php

class ConfiguracionBD
{
    public $conexionMysqli;
    function getConexionLocal()
    {
        try {
                $archivo = 'configuracionbd.ini';
                if (!$ajustes = parse_ini_file($archivo, true)) {
                    throw new exception ('No se puede abrir el archivo ' . $archivo . '.');
                }
                $servidor = $ajustes["database_local"]["host"]; //servidor como 1 usar este ultimo cuando el puerto sea diferente
                $basedatos = $ajustes["database_local"]["basedatos"]; //contrasenia del usuario
                $puerto = $ajustes["database_local"]["port"]; //Puerto de la BD
                $usuario = $ajustes["database_local"]["username"]; //nombre de la base de datos
                $contrasenia = $ajustes["database_local"]["password"]; //contrasenia del usuario

                $this->conexionMysqli = new mysqli($servidor, $usuario, $contrasenia, $basedatos);
                if ($this->conexionMysqli->connect_errno) {
                    echo "Falló la conexión con MySQL: (" . $this->conexionMysqli->connect_errno . ") " . $this->conexionMysqli->connect_error;
                    throw new exception ('No se pudo generar conexión con la base de datos sii.');
                } else {
                    return $this->conexionMysqli;
                }
        } catch (Exception $e) {
            print $e->getCode()." | ".$e->getMessage();
        }
    }
}

?>